tigase.server.bosh

## Class BoshSession

- java.lang.Object
- - tigase.server.bosh.BoshSession

-     public class BoshSession
      extends Object

  Describe class BoshSession here. Created: Tue Jun 5 18:07:23 2007
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoshSession(String def_domain, tigase.xmpp.JID dataReceiver, BoshSessionTaskHandler handler)` Creates a new `BoshSession` instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Method description
    `void` | `disconnected(BoshIOService bios)` Method description
    `tigase.xmpp.JID` | `getDataReceiver()` Method description
    `String` | `getDomain()` Method description
    `String` | `getSessionId()` Method description
    `UUID` | `getSid()` Method description
    `void` | `init(Packet packet, BoshIOService service, long max_wait, long min_polling, long max_inactivity, int concurrent_requests, int hold_requests, long max_pause, int max_batch_size, long batch_queue_timeout, Queue<Packet> out_results)` Method description
    `void` | `processPacket(Packet packet, Queue<Packet> out_results)` Method description
    `void` | `processSocketPacket(Packet packet, BoshIOService service, Queue<Packet> out_results)` Method description
    `void` | `sendWaitingPackets()` Method description
    `void` | `setDataReceiver(tigase.xmpp.JID dataReceiver)` Method description
    `void` | `setUserJid(String jid)` Method description
    `boolean` | `task(Queue<Packet> out_results, TimerTask tt)` Method description
    `void` | `terminateBoshSession()` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BoshSession

          public BoshSession(String def_domain,
                     tigase.xmpp.JID dataReceiver,
                     BoshSessionTaskHandler handler)

      Creates a new `BoshSession` instance.
      Parameters:
        `def_domain` -
        `dataReceiver` -
        `handler` -

  - ### Method Detail

    - #### close

          public void close()

      Method description

    - #### disconnected

          public void disconnected(BoshIOService bios)

      Method description
      Parameters:
        `bios` -

    - #### init

          public void init(Packet packet,
                  BoshIOService service,
                  long max_wait,
                  long min_polling,
                  long max_inactivity,
                  int concurrent_requests,
                  int hold_requests,
                  long max_pause,
                  int max_batch_size,
                  long batch_queue_timeout,
                  Queue<Packet> out_results)

      Method description
      Parameters:
        `packet` -
        `service` -
        `max_wait` -
        `min_polling` -
        `max_inactivity` -
        `concurrent_requests` -
        `hold_requests` -
        `max_pause` -
        `max_batch_size` -
        `batch_queue_timeout` -
        `out_results` -

    - #### processPacket

          public void processPacket(Packet packet,
                           Queue<Packet> out_results)

      Method description
      Parameters:
        `packet` -
        `out_results` -

    - #### processSocketPacket

          public void processSocketPacket(Packet packet,
                                 BoshIOService service,
                                 Queue<Packet> out_results)

      Method description
      Parameters:
        `packet` -
        `service` -
        `out_results` -

    - #### sendWaitingPackets

          public void sendWaitingPackets()

      Method description

    - #### task

          public boolean task(Queue<Packet> out_results,
                     TimerTask tt)

      Method description
      Parameters:
        `out_results` -
        `tt` -

    - #### terminateBoshSession

          public void terminateBoshSession()

      Method description

    - #### getDataReceiver

          public tigase.xmpp.JID getDataReceiver()

      Method description

    - #### getDomain

          public String getDomain()

      Method description

    - #### getSessionId

          public String getSessionId()

      Method description

    - #### getSid

          public UUID getSid()

      Method description

    - #### setDataReceiver

          public void setDataReceiver(tigase.xmpp.JID dataReceiver)

      Method description
      Parameters:
        `dataReceiver` -

    - #### setUserJid

          public void setUserJid(String jid)

      Method description
      Parameters:
        `jid` -

Copyright © 2014 "Tigase, Inc.". All rights reserved.